package com.iformall.enums;

/**
 * luozukai
 */
public enum EnumSettleStatus {
    //0待确认1未清算结余金额2结算完成
    DEF(0, "待确认"),
    NOT_FINISH(7, "待清算"),
    FINISH(3, "结算完成"),
    ;

    public static EnumSettleStatus getEnum(Integer code) {
        for (EnumSettleStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumSettleStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
